<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
        xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
        xmlns:pro="http://www.liquibase.org/xml/ns/pro"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
        http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd
        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd
        http://www.liquibase.org/xml/ns/pro http://www.liquibase.org/xml/ns/pro/liquibase-pro-latest.xsd">


    <changeSet id="init" author="artur">
        <createTable tableName="users">
            <column name="id" type="text">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="name" type="text">
                <constraints nullable="false"/>
            </column>
            <column name="email" type="text">
                <constraints nullable="false"/>
            </column>
            <column name="pass_hash" type="text">
                <constraints nullable="false"/>
            </column>
            <column name="age" type="int"/>
        </createTable>
    </changeSet>
    <changeSet id="other_tables" author="artur">
        <createTable tableName="posts">
            <column name="id" type="text">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="user_id" type="text">
                <constraints nullable="false"/>
            </column>
            <column name="content" type="text">
                <constraints nullable="false"/>
            </column>
            <column name="created_at" type="timestamp">
                <constraints nullable="false"/>
            </column>
        </createTable>
        <createTable tableName="tags">
            <column name="id" type="text">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="name" type="text">
                <constraints nullable="false"/>
            </column>
        </createTable>
        <createTable tableName="posts_2_tag">
            <column name="post_id" type="text">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="tag_id" type="text">
                <constraints primaryKey="true" nullable="false"/>
            </column>
        </createTable>
    </changeSet>
    <changeSet id="event" author="artur">
        <createTable tableName="event">
            <column name="id" type="text">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="count" type="bigint"/>
        </createTable>
    </changeSet>


</databaseChangeLog>